Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- a : A, BigStruct, C, cls_struct_12byte, cls_struct_16byte1, cls_struct_16byte, cls_struct_18byte, cls_struct_19byte, cls_struct_1_1byte, cls_struct_20byte, cls_struct_24byte, cls_struct_2byte, cls_struct_3_1byte, cls_struct_3byte, cls_struct_3byte_1, cls_struct_4_1byte, cls_struct_4byte, cls_struct_5byte, cls_struct_64byte, cls_struct_6byte, cls_struct_7byte, cls_struct_8byte, cls_struct_9byte, cls_struct_align, cls_struct_combined, ibf_object_complex_rational, large_tag, my_ffi_struct, small_tag, struct_108byte, struct_116byte, struct_72byte
- a_x : A
- a_y : A
- aa : BigStruct
- abort_on_exception : rb_thread_struct
- abs_pstr : _OnigStackType
- absent_pos : _OnigStackType
- ac : autoload_state
- accepts_no_kwarg : rb_iseq_constant_body
- actime : utimbuf
- action_check : cparse_params
- action_default : cparse_params
- action_pointer : cparse_params
- action_table : cparse_params
- ad : autoload_const
- add_position_when_writing_offset : zip64_internal
- addr : hostent_arg, rb_addrinfo_t, union_sockaddr
- adler : z_stream_s
- ai : rb_addrinfo
- ai_addr : addrinfo
- ai_addrlen : addrinfo
- ai_canonname : addrinfo
- ai_family : addrinfo
- ai_flags : addrinfo
- ai_next : addrinfo
- ai_protocol : addrinfo
- ai_socktype : addrinfo
- alen : recvfrom_arg
- alias : rb_method_definition_struct
- alias_count : rb_method_definition_struct
- alive : cc_tbl_i_data
- alloc : _BBuf, re_pattern_buffer, RVALUE, UnsetAddrList
- allocatable_pages : rb_objspace
- allocated : re_registers
- allocated_by_malloc : rb_addrinfo
- allocated_pages : rb_objspace
- allocation : fiber_pool_stack
- allocations : fiber_pool
- allocator : rb_classext_struct
- allow_nan : JSON_Generator_StateStruct, JSON_ParserStruct
- alt_root : IApplyCaseFoldArg
- ambiguous_param0 : rb_iseq_constant_body
- anc : NodeOptInfo, OptExactInfo, OptMapInfo
- anchor : _Node, iseq_link_anchor, OnigToken, re_pattern_buffer
- anchor_dmax : re_pattern_buffer
- anchor_dmin : re_pattern_buffer
- anychar : OnigMetaCharTableType
- anychar_anytime : OnigMetaCharTableType
- anytime : OnigMetaCharTableType
- ap : gc_raise_tag
- api_version : rb_digest_metadata_t
- apinfo : RNode
- apply_all_case_fold : OnigEncodingTypeST
- ar : RHash
- ar_hint : RHash
- arena : mallinfo
- arg : accessor_args, apply_arg, dump_call_arg, exec_recursive_params, foreach_safe_arg, functor, hash_foreach_arg, INamesArg, push_glob0_args, push_glob_args, rb_thread_struct, rb_unblock_callback, update_arg, update_callback_arg
- argc : apply_arg, argf_call_arg, args_info, asynchronous_arg_t, fiddle_closure, fill_values_arg, foreach_arg, iter_method_arg, rb_builtin_function, rb_callinfo, rb_calling_info, rb_context_struct, rb_method_cfunc_struct, rescue_funcall_args, RNode, vm_ifunc
- argf : argf_call_arg
- args : callback_args, enumerator, local_vars, rb_fnd_pattern_info, rb_thread_struct, RNode, thread_create_params
- argv : argf, argf_call_arg, args_info, asynchronous_arg_t, fiddle_closure, foreach_arg, iter_method_arg, rescue_funcall_args
- argv_buf : rb_execarg
- argv_str : rb_execarg
- array : RVALUE
- array_class : JSON_ParserStruct
- array_delim : JSON_Generator_StateStruct
- array_nl : JSON_Generator_StateStruct
- array_nl_len : JSON_Generator_StateStruct
- ary : ary_sort_data, collect_caller_bindings_data, collect_outer_variable_name_data, RArray, rb_transcoding, rb_transcoding::rb_transcoding_state_t, RBignum, RHash, RObject, RString, RStruct, select_bang_arg, sort_by_data
- as : queue_waiter, RArray, rb_block, RBignum, RHash, RObject, RString, RStruct, RVALUE, select_args
- asc_cc : IApplyCaseFoldArg
- ascii_compat_name : asciicompat_encoding_t
- ascii_incompat_name : asciicompat_encoding_t
- ascii_only : JSON_Generator_StateStruct
- ascii_range : AnchorNode, CtypeNode, OnigToken
- asciicompat_type : rb_transcoder
- ast : ASTNodeData, parser_params, RVALUE
- at_exit : rb_vm_struct
- atime : utime_args
- atomic_flags : rb_objspace
- attach() : gzfilebuf, gzfilestream_common, gzifstream, gzofstream
- attr : constat, rb_method_definition_struct
- attr_index : rb_callcache
- aux : RArray, rb_iseq_struct, RString
- aux_ : rb_callcache
- avail_in : z_stream_s
- avail_in_this_block : linkedlist_datablock_internal_s
- avail_out : z_stream_s
- available : fiber_pool_stack
- available_p_func : rb_memory_view_entry_t
- avalue : extended_cif